@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
}

body {
    background-color: #F2E0D5;
}

nav {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px;
}

.input-container {
    display: flex;
    align-items: center;
    border: 2px solid #AF3800;
    padding: 8px;
    width: 50%;
    height: 50px;
    border-radius: 50px;
    margin: 10px;
    position: relative;
    transition: width 1.5s;
}

.input {
    margin: 10px 50px;
    margin-left: 20px;
    width: 100%;
    color: #222;
    border: none;
    background-color: transparent;
    outline: none;
    transition-delay: 0.5s;
    font-size: 1.1rem;
}

.magnifier {
    position: absolute;
    right: 15px;
    width: 25px;
    text-align: center;
    margin: 0 auto;
    cursor: pointer;
    color: #AF3800;
}

main {
    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    width: 70%;
    padding: 3rem;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    border-radius: 10px;
    background-color: #f2f2ec;
    margin-top: 5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.content-container h1 {
    font-family: "Playfair Display", serif;
    font-size: 2rem;
    color: #111;
}

.content-container p {
    line-height: 1.4;
    margin-bottom: 2rem;
    color: #333;
    width: 26rem;
}

.img {
    transform: translateX(-120px);
    margin-top: 1rem;
    width: 350px;
    height: 350px;
    border-radius: 300px;
    background: url('https://images.unsplash.com/photo-1504674900247-0877df9cc836?w=500&auto=format&fit=crop&q=60&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxzZWFyY2h8Nnx8Zm9vZHxlbnwwfHwwfHx8MA%3D%3D');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.ingredients {
    width: 80%;
    margin: 0 auto;
    margin-top: 5rem;
    padding: 50px;
}

.ingredients span {
    display: flex;
    flex-wrap: wrap;
    list-style-type: none;
}

.ing {
    padding: 10px 20px;
    border: 2px solid #AF3800;
    background-color: #AF3800;
    color: #fff;
    border-radius: 100px;
    margin-right: 1rem;
    margin-bottom: 1rem;
}

.main-btn {
    background-color: #AF3800;
    border: none;
    border: 2px solid #AF3800;
    padding: 17px;
    color: #fff;
    cursor: pointer;
    font-size: 1rem;
    transition: opacity .2s;
}

.main-btn:hover {
    opacity: 0.8;
}

@media screen and (max-width: 900px) {
    .input-container {
        width: 100%;
    }

    .img {
        transform: translateX(0);
        border-radius: 0;
    }

    .container {
        flex-direction: column;
        justify-content: center;
        box-shadow: none;
        width: 100%;
        margin-top: 0;
        background-color: transparent;
    }

    .content-container {
        width: 100%;
        margin: auto;
    }
    
    .content-container p {
        width: auto;
    }

    main {
        max-width: 90%;
        margin: auto;
    }
}